#!/usr/bin/env python
#
# This file is part of Mummy Guts
# Author(s): Avery Blasi and Megan Sours, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Mummy Guts is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Mummy Guts is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Mummy Guts.  If not, see <http://www.gnu.org/licenses/>.

import pygame, ActivityBase, random
from helpers import *

class Activity1(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def ask_multiple_choice_question(self,question,choices,correct_answer):
		# pass in the question as a string, the choices as a list of strings, and
		# the correct answer as "a" or "b" or "c", etc depending on which item in the choices list is correct
		correct_answer = correct_answer[0]
		answered_correctly = False
		activity_completed = False
		
		while not activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN and event.key >= ord('a') and event.key <= ord('a')+len(choices)-1:
					# the user has answered
					activity_completed = True
					if event.key == ord(correct_answer):
						answered_correctly = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render(question, 1, (218,165,32))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.top = 300
			self.screen.blit(text, textrect)

			letter = 'a'
			choices_top = 350
			for choice in choices:
				font = pygame.font.Font(None, 30)
				text = font.render(letter + ") " + choice, 1, (218,165,32))
				textrect = text.get_rect()
				textrect.left = 200
				textrect.top = choices_top
				self.screen.blit(text, textrect)

				letter = chr(ord(letter) + 1)
				choices_top += 30
			
			pygame.display.flip()

		return answered_correctly

	def play(self):
		question = "How much does the adult human brain weigh?"
		answer_choices = ["1 lb.","5 lbs.","3 lbs.","2 lbs."]
		correct_answer = "c"
		if self.ask_multiple_choice_question(question,answer_choices,correct_answer):
			print "Correct!"
		else:
			print "Incorrect!"
			
		self.activity_completed = True

class Activity2(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def ask_multiple_choice_question(self,question,choices,correct_answer):
		# pass in the question as a string, the choices as a list of strings, and
		# the correct answer as "a" or "b" or "c", etc depending on which item in the choices list is correct
		correct_answer = correct_answer[0]
		answered_correctly = False
		activity_completed = False
		
		while not activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN and event.key >= ord('a') and event.key <= ord('a')+len(choices)-1:
					# the user has answered
					activity_completed = True
					if event.key == ord(correct_answer):
						answered_correctly = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render(question, 1, (218,165,32))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.top = 300
			self.screen.blit(text, textrect)

			letter = 'a'
			choices_top = 350
			for choice in choices:
				font = pygame.font.Font(None, 30)
				text = font.render(letter + ") " + choice, 1, (218,165,32))
				textrect = text.get_rect()
				textrect.left = 200
				textrect.top = choices_top
				self.screen.blit(text, textrect)

				letter = chr(ord(letter) + 1)
				choices_top += 30
			
			pygame.display.flip()

		return answered_correctly

       	def play(self):
		question = "how many ventricles does the heart have?"
		answer_choices = ["1","5","4","2"]
		correct_answer = "c"
		if self.ask_multiple_choice_question(question,answer_choices,correct_answer):
			print "Correct!"
		else:
			print "Incorrect!"
			
		self.activity_completed = True
			
class Activity3(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def ask_multiple_choice_question(self,question,choices,correct_answer):
		# pass in the question as a string, the choices as a list of strings, and
		# the correct answer as "a" or "b" or "c", etc depending on which item in the choices list is correct
		correct_answer = correct_answer[0]
		answered_correctly = False
		activity_completed = False
		
		while not activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN and event.key >= ord('a') and event.key <= ord('a')+len(choices)-1:
					# the user has answered
					activity_completed = True
					if event.key == ord(correct_answer):
						answered_correctly = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render(question, 1, (218,165,32))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.top = 300
			self.screen.blit(text, textrect)

			letter = 'a'
			choices_top = 350
			for choice in choices:
				font = pygame.font.Font(None, 30)
				text = font.render(letter + ") " + choice, 1, (218,165,32))
				textrect = text.get_rect()
				textrect.left = 200
				textrect.top = choices_top
				self.screen.blit(text, textrect)

				letter = chr(ord(letter) + 1)
				choices_top += 30
			
			pygame.display.flip()

		return answered_correctly

	def play(self):
		question = "which of the following is an effect of smoking on the lungs?"
		answer_choices = ["bronchitus","emphysema","asthma","all of the above"]
		correct_answer = "b"
		if self.ask_multiple_choice_question(question,answer_choices,correct_answer):
			print "Correct!"
		else:
			print "Incorrect!"
			
		self.activity_completed = True
			
class Activity4(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def ask_multiple_choice_question(self,question,choices,correct_answer):
		# pass in the question as a string, the choices as a list of strings, and
		# the correct answer as "a" or "b" or "c", etc depending on which item in the choices list is correct
		correct_answer = correct_answer[0]
		answered_correctly = False
		activity_completed = False
		
		while not activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN and event.key >= ord('a') and event.key <= ord('a')+len(choices)-1:
					# the user has answered
					activity_completed = True
					if event.key == ord(correct_answer):
						answered_correctly = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render(question, 1, (218,165,32))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.top = 300
			self.screen.blit(text, textrect)

			letter = 'a'
			choices_top = 350
			for choice in choices:
				font = pygame.font.Font(None, 30)
				text = font.render(letter + ") " + choice, 1, (218,165,32))
				textrect = text.get_rect()
				textrect.left = 200
				textrect.top = choices_top
				self.screen.blit(text, textrect)

				letter = chr(ord(letter) + 1)
				choices_top += 30
			
			pygame.display.flip()

		return answered_correctly


	def play(self):
		question = "All of these are true about the stomach EXCEPT?"
		answer_choices = ["the stomach makes an enzyme called pepsin.","the stomach is part of the digestive system","the stomach is the biggest organ in the body","the stomach produces mucus."]
		correct_answer = "c"
		if self.ask_multiple_choice_question(question,answer_choices,correct_answer):
			print "Correct!"
		else:
			print "Incorrect!"
			
		self.activity_completed = True
