#!/usr/bin/env python
#
# This file is part of Mummy Guts
# Author(s): Avery Blasi and Megan Sours, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Mummy Guts is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Mummy Guts is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Mummy Guts.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 500
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("hieroglyphics 4.jpg")

# Set up the group of activities
activities = pygame.sprite.RenderUpdates()
activities.add(Activity1((366,55),background,"brain.bmp","brain.bmp"))
activities.add(Activity2((395,107),background,"heart.bmp","heart.bmp"))
activities.add(Activity3((365,140),background,"lung2.bmp","lung2.bmp"))
activities.add(Activity4((373,200),background,"stomach.bmp","stomach.bmp"))

# Start screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font(None, 100)
	text = font.render("MUMMY GUTS", 1, (218,165,32))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 30)
	text = font.render("Learn about the human body and Egyptian mummification techniques!", 1, (218,165,32))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 50)
	text = font.render("Press any key to start the game.", 1, (218,165,32))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+50
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window

# Main game play
game_over = False

while not game_over:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			for activity in activities:
				if activity.rect.collidepoint(event.pos):
					activity.play()
	
	game_over = True
	for activity in activities:
		if not activity.activity_completed:
			game_over = False
			
	# Draw everything to the screen
	screen.blit(background,(0,0))
	activities.draw(screen)
	
	pygame.display.flip()
	
# Display game over screen
while True :
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background


	
	# Draw the game over message
	font = pygame.font.Font(None, 50)
	text = font.render("Game over! Please play again!", 1, (218,165,32))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
